<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CallLogAction extends \Google\Protobuf\Internal\Message
{
    


    protected $callLogRecord = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCallLogRecord()
    {
        return $this->callLogRecord;
    }

    public function hasCallLogRecord()
    {
        return isset($this->callLogRecord);
    }

    public function clearCallLogRecord()
    {
        unset($this->callLogRecord);
    }

    




    public function setCallLogRecord($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\CallLogRecord::class);
        $this->callLogRecord = $var;

        return $this;
    }

}

